---
title: "Archive Channel"
slug: "archive-channel"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Channel

Post/api/v1/channels.archive

Archive a channel. Permission required: `archive-room`

### Changelog

| Version | Description |
| --- | --- |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='50346eec-fab5-4de0-93a2-1d06a3eaf017'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='eb90680a-dd6d-4533-a8e4-218653219b9a'>Example</option>
</select>Example

```json
{
  "roomId": "ByehQjC44FwMeiLbX"
}
```

object  roomIdstring    Required

The channel ID that you want to archive.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='59ab06e8-4230-40cc-abc7-cc820f38b11f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='22c4f2a5-9d5f-4c95-b773-3e18724179e3'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='fa8e16fe-ba28-4b73-b47c-9dde3ce99bee'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='5781592a-b1c7-4838-8a97-a3252ced4959'>Channel is already archived</option>
</select>Channel is already archived

```json
{
  "success": false,
  "error": "The channel, add-room-websocket, is archived [error-room-archived]",
  "errorType": "error-room-archived"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='1adc90ff-2c69-406b-b82a-73f5f713b17f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='4c11976e-9234-409d-84ef-1aac0b09296b'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
